Delete a reserved slot
curl --request DELETE \
--url https://api.cal.com/v2/slots/reservations/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'cal-api-version: <cal-api-version>'import requests
url = "https://api.cal.com/v2/slots/reservations/{uid}"
headers = {
"cal-api-version": "<cal-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'cal-api-version': '<cal-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cal.com/v2/slots/reservations/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}Slots
Delete a reserved slot
Please make sure to pass in the cal-api-version header value as mentioned in the Headers section. Not passing the correct value will default to an older version of this endpoint.
DELETE
/
v2
/
slots
/
reservations
/
{uid}
Delete a reserved slot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Must be set to 2024-09-04. If not set to this value, the endpoint will default to an older version.
Path Parameters
Response
200 - application/json
The response is of type object.
Was this page helpful?
⌘I